Bug 1114547 - Review Request: soundkonverter - Audio file converter, CD ripper and Replay Gain tool
Summary: Review Request: soundkonverter - Audio file converter, CD ripper and Replay G...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 10:34 UTC by Björn 'besser82' Esser
Modified: 2014-07-20 03:26 UTC (History)
3 users (show)

Fixed In Version: soundkonverter-2.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-20 03:24:03 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2014-06-30 10:34:18 UTC
Description:

  SoundKonverter is a front-end to various audio converters.

  The key features are:
    * Audio conversion
    * Replay Gain calculation
    * CD ripping


Koji Builds:

  el5:  no build ---> missing dependencies
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7090391
  el7:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7090395
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7090398
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7090404
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7090408


Issues:

  fedora-review shows no obvious issues.  AFAIK there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/soundkonverter.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/soundkonverter-2.1.1-1.fc21.src.rpm


Thanks for review in advance!

Comment 1 Christopher Meng 2014-06-30 10:38:46 UTC
Shouldn't this be put in RPMFusion?

As many backends are missing. (twolame, ffmpeg etc.)

Comment 2 Björn 'besser82' Esser 2014-06-30 10:43:26 UTC
Those backends are optionally installable.  So if the user has rpmfusion enabled and installed e.g. lame or ffmpeg, the functionality is instantly available.

Comment 3 Raphael Groner 2014-06-30 10:45:11 UTC
(In reply to Christopher Meng from comment #1)
> Shouldn't this be put in RPMFusion?
> 
> As many backends are missing. (twolame, ffmpeg etc.)

Why can koji fulfill those dependencies? Sorry, if my question is out of scope.

Comment 4 Christopher Meng 2014-06-30 10:47:30 UTC
(In reply to Raphael Groner from comment #3)
> (In reply to Christopher Meng from comment #1)
> > Shouldn't this be put in RPMFusion?
> > 
> > As many backends are missing. (twolame, ffmpeg etc.)
> 
> Why can koji fulfill those dependencies? Sorry, if my question is out of
> scope.

RPMFusion != Fedora Project

Comment 5 Björn 'besser82' Esser 2014-06-30 10:56:39 UTC
(In reply to Raphael Groner from comment #3)
> (In reply to Christopher Meng from comment #1)
> > Shouldn't this be put in RPMFusion?
> > 
> > As many backends are missing. (twolame, ffmpeg etc.)
> 
> Why can koji fulfill those dependencies? Sorry, if my question is out of
> scope.

Because those tools like lame or faad2 are called in a fork() && pipe()-context…  So they are not neccessary during build nor during runtime.  The interface of soundkonverter checks their presence during startup and only offers this functionality if they are present.

Comment 6 Christopher Meng 2014-07-04 02:33:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

--> False positive

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck:

GPL (v2 or later)
-----------------
soundkonverter-2.1.1/src/aboutplugins.cpp
soundkonverter-2.1.1/src/aboutplugins.h
soundkonverter-2.1.1/src/codecoptimizations.cpp
soundkonverter-2.1.1/src/codecoptimizations.h
soundkonverter-2.1.1/src/codecproblems.cpp
soundkonverter-2.1.1/src/codecproblems.h
soundkonverter-2.1.1/src/combobutton.cpp
soundkonverter-2.1.1/src/combobutton.h
soundkonverter-2.1.1/src/config.cpp
soundkonverter-2.1.1/src/config.h
soundkonverter-2.1.1/src/configdialog/configadvancedpage.cpp
soundkonverter-2.1.1/src/configdialog/configadvancedpage.h
soundkonverter-2.1.1/src/configdialog/configbackendspage.cpp
soundkonverter-2.1.1/src/configdialog/configbackendspage.h
soundkonverter-2.1.1/src/configdialog/configcoverartpage.cpp
soundkonverter-2.1.1/src/configdialog/configcoverartpage.h
soundkonverter-2.1.1/src/configdialog/configdialog.cpp
soundkonverter-2.1.1/src/configdialog/configdialog.h
soundkonverter-2.1.1/src/configdialog/configgeneralpage.cpp
soundkonverter-2.1.1/src/configdialog/configgeneralpage.h
soundkonverter-2.1.1/src/configdialog/configpagebase.cpp
soundkonverter-2.1.1/src/configdialog/configpagebase.h
soundkonverter-2.1.1/src/conversionoptionsmanager.cpp
soundkonverter-2.1.1/src/conversionoptionsmanager.h
soundkonverter-2.1.1/src/convert.cpp
soundkonverter-2.1.1/src/convert.h
soundkonverter-2.1.1/src/convertitem.cpp
soundkonverter-2.1.1/src/convertitem.h
soundkonverter-2.1.1/src/core/backendplugin.cpp
soundkonverter-2.1.1/src/core/backendplugin.h
soundkonverter-2.1.1/src/core/codecplugin.cpp
soundkonverter-2.1.1/src/core/codecplugin.h
soundkonverter-2.1.1/src/core/codecwidget.cpp
soundkonverter-2.1.1/src/core/codecwidget.h
soundkonverter-2.1.1/src/core/conversionoptions.cpp
soundkonverter-2.1.1/src/core/conversionoptions.h
soundkonverter-2.1.1/src/core/filterplugin.cpp
soundkonverter-2.1.1/src/core/filterplugin.h
soundkonverter-2.1.1/src/core/replaygainplugin.cpp
soundkonverter-2.1.1/src/core/replaygainplugin.h
soundkonverter-2.1.1/src/core/ripperplugin.cpp
soundkonverter-2.1.1/src/core/ripperplugin.h
soundkonverter-2.1.1/src/filelist.cpp
soundkonverter-2.1.1/src/filelist.h
soundkonverter-2.1.1/src/filelistitem.cpp
soundkonverter-2.1.1/src/filelistitem.h
soundkonverter-2.1.1/src/global.cpp
soundkonverter-2.1.1/src/global.h
soundkonverter-2.1.1/src/logger.cpp
soundkonverter-2.1.1/src/logger.h
soundkonverter-2.1.1/src/logviewer.cpp
soundkonverter-2.1.1/src/logviewer.h
soundkonverter-2.1.1/src/main.cpp
soundkonverter-2.1.1/src/metadata/MetaReplayGain.cpp
soundkonverter-2.1.1/src/metadata/MetaReplayGain.h
soundkonverter-2.1.1/src/metadata/tagengine.cpp
soundkonverter-2.1.1/src/metadata/tagengine.h
soundkonverter-2.1.1/src/opener/cdopener.cpp
soundkonverter-2.1.1/src/opener/cdopener.h
soundkonverter-2.1.1/src/opener/diropener.cpp
soundkonverter-2.1.1/src/opener/diropener.h
soundkonverter-2.1.1/src/opener/fileopener.cpp
soundkonverter-2.1.1/src/opener/fileopener.h
soundkonverter-2.1.1/src/opener/playlistopener.cpp
soundkonverter-2.1.1/src/opener/playlistopener.h
soundkonverter-2.1.1/src/opener/urlopener.cpp
soundkonverter-2.1.1/src/opener/urlopener.h
soundkonverter-2.1.1/src/options.cpp
soundkonverter-2.1.1/src/options.h
soundkonverter-2.1.1/src/optionsdetailed.cpp
soundkonverter-2.1.1/src/optionsdetailed.h
soundkonverter-2.1.1/src/optionseditor.cpp
soundkonverter-2.1.1/src/optionseditor.h
soundkonverter-2.1.1/src/optionslayer.cpp
soundkonverter-2.1.1/src/optionslayer.h
soundkonverter-2.1.1/src/optionssimple.cpp
soundkonverter-2.1.1/src/optionssimple.h
soundkonverter-2.1.1/src/outputdirectory.cpp
soundkonverter-2.1.1/src/outputdirectory.h
soundkonverter-2.1.1/src/pluginloader.cpp
soundkonverter-2.1.1/src/pluginloader.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_aften/aftencodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_aften/aftencodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_aften/aftencodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_aften/soundkonverter_codec_aften.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_aften/soundkonverter_codec_aften.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_faac/faaccodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_faac/faaccodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_faac/faaccodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_faac/soundkonverter_codec_faac.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_faac/soundkonverter_codec_faac.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ffmpeg/ffmpegcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ffmpeg/ffmpegcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ffmpeg/ffmpegcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ffmpeg/soundkonverter_codec_ffmpeg.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ffmpeg/soundkonverter_codec_ffmpeg.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flac/flaccodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flac/flaccodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flac/flaccodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flac/soundkonverter_codec_flac.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flac/soundkonverter_codec_flac.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flake/flakecodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flake/flakecodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flake/flakecodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flake/soundkonverter_codec_flake.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_flake/soundkonverter_codec_flake.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_fluidsynth/fluidsynthcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_fluidsynth/fluidsynthcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_fluidsynth/fluidsynthcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_fluidsynth/soundkonverter_codec_fluidsynth.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_fluidsynth/soundkonverter_codec_fluidsynth.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/lamecodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/lamecodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/lamecodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/lameconversionoptions.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/lameconversionoptions.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/soundkonverter_codec_lame.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_lame/soundkonverter_codec_lame.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_libav/libavcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_libav/libavcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_libav/libavcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_libav/soundkonverter_codec_libav.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_libav/soundkonverter_codec_libav.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mac/maccodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mac/maccodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mac/maccodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mac/soundkonverter_codec_mac.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mac/soundkonverter_codec_mac.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mplayer/mplayercodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mplayer/soundkonverter_codec_mplayer.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_mplayer/soundkonverter_codec_mplayer.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/musepackcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/musepackcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/musepackcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/musepackconversionoptions.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/musepackconversionoptions.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/soundkonverter_codec_musepack.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_musepack/soundkonverter_codec_musepack.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_neroaac/neroaaccodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_neroaac/neroaaccodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_neroaac/neroaaccodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_neroaac/soundkonverter_codec_neroaac.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_neroaac/soundkonverter_codec_neroaac.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/opustoolscodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/opustoolscodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/opustoolscodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/opustoolsconversionoptions.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/opustoolsconversionoptions.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/soundkonverter_codec_opustools.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_opustools/soundkonverter_codec_opustools.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_shorten/shortencodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_shorten/shortencodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_shorten/shortencodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_shorten/soundkonverter_codec_shorten.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_shorten/soundkonverter_codec_shorten.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_speex/soundkonverter_codec_speex.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_speex/soundkonverter_codec_speex.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_speex/speexcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_speex/speexcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_speex/speexcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_timidity/soundkonverter_codec_timidity.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_timidity/soundkonverter_codec_timidity.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_timidity/timiditycodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_timidity/timiditycodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_timidity/timiditycodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ttaenc/soundkonverter_codec_ttaenc.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ttaenc/soundkonverter_codec_ttaenc.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ttaenc/ttaenccodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ttaenc/ttaenccodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_ttaenc/ttaenccodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_twolame/soundkonverter_codec_twolame.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_twolame/soundkonverter_codec_twolame.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_twolame/twolamecodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_twolame/twolamecodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_twolame/twolamecodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_vorbistools/soundkonverter_codec_vorbistools.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_vorbistools/soundkonverter_codec_vorbistools.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_vorbistools/vorbistoolscodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_vorbistools/vorbistoolscodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_vorbistools/vorbistoolscodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_wavpack/soundkonverter_codec_wavpack.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_wavpack/soundkonverter_codec_wavpack.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_wavpack/wavpackcodecglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_wavpack/wavpackcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_codec_wavpack/wavpackcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/normalizefilterglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/normalizefilteroptions.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/normalizefilteroptions.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/normalizefilterwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/normalizefilterwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/soundkonverter_filter_normalize.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_normalize/soundkonverter_filter_normalize.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soundkonverter_filter_sox.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soundkonverter_filter_sox.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxcodecwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxcodecwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxeffectwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxeffectwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxfilterglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxfilteroptions.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxfilteroptions.h
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxfilterwidget.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_filter_sox/soxfilterwidget.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_aacgain/aacreplaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_aacgain/soundkonverter_replaygain_aacgain.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_aacgain/soundkonverter_replaygain_aacgain.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_metaflac/flacreplaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_metaflac/soundkonverter_replaygain_metaflac.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_metaflac/soundkonverter_replaygain_metaflac.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_mp3gain/mp3replaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_mp3gain/soundkonverter_replaygain_mp3gain.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_mp3gain/soundkonverter_replaygain_mp3gain.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_musepack/musepackreplaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_musepack/soundkonverter_replaygain_musepackgain.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_musepack/soundkonverter_replaygain_musepackgain.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_vorbisgain/soundkonverter_replaygain_vorbisgain.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_vorbisgain/soundkonverter_replaygain_vorbisgain.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_vorbisgain/vorbisreplaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_wvgain/soundkonverter_replaygain_wvgain.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_wvgain/soundkonverter_replaygain_wvgain.h
soundkonverter-2.1.1/src/plugins/soundkonverter_replaygain_wvgain/wvreplaygainglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_cdparanoia/cdparanoiaripperglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_cdparanoia/soundkonverter_ripper_cdparanoia.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_cdparanoia/soundkonverter_ripper_cdparanoia.h
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_icedax/icedaxripperglobal.h
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_icedax/soundkonverter_ripper_icedax.cpp
soundkonverter-2.1.1/src/plugins/soundkonverter_ripper_icedax/soundkonverter_ripper_icedax.h
soundkonverter-2.1.1/src/progressindicator.cpp
soundkonverter-2.1.1/src/progressindicator.h
soundkonverter-2.1.1/src/replaygainscanner/replaygainfilelist.cpp
soundkonverter-2.1.1/src/replaygainscanner/replaygainfilelist.h
soundkonverter-2.1.1/src/replaygainscanner/replaygainfilelistitem.cpp
soundkonverter-2.1.1/src/replaygainscanner/replaygainfilelistitem.h
soundkonverter-2.1.1/src/replaygainscanner/replaygainprocessor.cpp
soundkonverter-2.1.1/src/replaygainscanner/replaygainprocessor.h
soundkonverter-2.1.1/src/replaygainscanner/replaygainscanner.cpp
soundkonverter-2.1.1/src/replaygainscanner/replaygainscanner.h
soundkonverter-2.1.1/src/soundkonverter.cpp
soundkonverter-2.1.1/src/soundkonverter.h
soundkonverter-2.1.1/src/soundkonverterapp.cpp
soundkonverter-2.1.1/src/soundkonverterapp.h
soundkonverter-2.1.1/src/soundkonverterview.cpp
soundkonverter-2.1.1/src/soundkonverterview.h
soundkonverter-2.1.1/tools/extract_messages.sh
soundkonverter-2.1.1/tools/release_soundkonverter.sh

[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/kde4/apps/solid(kde-
     workspace), /usr/share/kde4/apps/solid/actions(kde-workspace)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in soundkonverter
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1208320 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: soundkonverter-2.1.1-1.fc21.i686.rpm
          soundkonverter-2.1.1-1.fc21.src.rpm
soundkonverter.i686: W: no-manual-page-for-binary soundkonverter
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint soundkonverter
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libkdeui.so.5
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libkfile.so.4
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libkio.so.5
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libQtNetwork.so.4
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libQtSvg.so.4
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libQtDBus.so.4
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libpthread.so.0
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libm.so.6
soundkonverter.i686: W: unused-direct-shlib-dependency /usr/lib/libsoundkonvertercore.so.0 /lib/libgcc_s.so.1
soundkonverter.i686: W: no-manual-page-for-binary soundkonverter
1 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
soundkonverter (rpmlib, GLIBC filtered):
    /bin/sh
    cdparanoia
    flac
    fluidsynth
    libQtCore.so.4
    libQtDBus.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libc.so.6
    libcdda_interface.so.0
    libcdda_paranoia.so.0
    libgcc_s.so.1
    libkcddb.so.4
    libkdecore.so.5
    libkdeui.so.5
    libkfile.so.4
    libkio.so.5
    libm.so.6
    libphonon.so.4
    libpthread.so.0
    libsolid.so.4
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtag.so.1
    opus-tools
    rtld(GNU_HASH)
    sox
    speex
    timidity++
    vorbis-tools
    vorbisgain
    wavpack



Provides
--------
soundkonverter:
    application()
    application(kde4/soundkonverter.desktop)
    soundkonverter
    soundkonverter(x86-32)



Unversioned so-files
--------------------
soundkonverter: /usr/lib/kde4/soundkonverter_codec_aften.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_faac.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_ffmpeg.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_flac.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_flake.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_fluidsynth.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_lame.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_libav.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_mac.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_mplayer.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_musepack.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_neroaac.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_opustools.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_shorten.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_speex.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_timidity.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_ttaenc.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_twolame.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_vorbistools.so
soundkonverter: /usr/lib/kde4/soundkonverter_codec_wavpack.so
soundkonverter: /usr/lib/kde4/soundkonverter_filter_normalize.so
soundkonverter: /usr/lib/kde4/soundkonverter_filter_sox.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_aacgain.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_metaflac.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_mp3gain.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_musepackgain.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_vorbisgain.so
soundkonverter: /usr/lib/kde4/soundkonverter_replaygain_wvgain.so
soundkonverter: /usr/lib/kde4/soundkonverter_ripper_cdparanoia.so
soundkonverter: /usr/lib/kde4/soundkonverter_ripper_icedax.so

Source checksums
----------------
https://github.com/HessiJames/soundkonverter/archive/v2.1.1.tar.gz#/soundkonverter-2.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6936e3abc61241ad6860d1104a3d55743e81b527b6fda507948e3868c5f31248
  CHECKSUM(SHA256) upstream package : 6936e3abc61241ad6860d1104a3d55743e81b527b6fda507948e3868c5f31248


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn soundkonverter-2.1.1-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/kde4/apps/solid(kde-
     workspace), /usr/share/kde4/apps/solid/actions(kde-workspace)

Ideas?

Comment 7 Rex Dieter 2014-07-08 20:02:38 UTC
For now, probably best to just add
%dir %{_kde4_appsdir}/solid/
%dir %{_kde4_appsdir}/solid/actions
here.

Long term, I'll add those to kde-filesystem

Comment 8 Björn 'besser82' Esser 2014-07-10 14:51:38 UTC
Thanks for the hint Rex!  Thanks for the review, Christopher!

  --->  updated package

---------------------

%changelog
  * Thu Jul 10 2014 Björn Esser <bjoern.esser@gmail.com> - 2.1.1-2
  - use %%{_kde4_appsdir}-macro as suggested by Rex Dieter (#1114547)
    see: https://bugzilla.redhat.com/show_bug.cgi?id=1114547#c7

  * Sun Jun 29 2014 Björn Esser <bjoern.esser@gmail.com> - 2.1.1-1
  - initial rpm release (#1114547)


Koji Builds:

  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7124730


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/soundkonverter.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/soundkonverter-2.1.1-2.fc22.src.rpm

Comment 9 Rex Dieter 2014-07-10 15:05:17 UTC
note: you should only run desktop-file-validate on stuff under /usr/share/applications  (particularly, it'll give false positives for kde stuff under /usr/share/kde4/{serivces,servicetypes}/ and friends)

Comment 10 Rex Dieter 2014-07-10 15:08:00 UTC
Oh, I guess you already grep -v those out, nevermind.

Comment 11 Christopher Meng 2014-07-10 15:12:21 UTC
PACKAGE APPROVED.

Comment 12 Björn 'besser82' Esser 2014-07-10 15:16:36 UTC
Many thanks for review, Christopher!  Many thanks for hints, Rex!

---------------------

New Package SCM Request
=======================
Package Name: soundkonverter
Short Description: Audio file converter, CD ripper and Replay Gain tool
Upstream URL: http://kde-apps.org/content/show.php?content=29024
Owners: besser82
Branches: el6 epel7 f19 f20 f21
InitialCC:

Comment 13 Gwyn Ciesla 2014-07-10 19:42:19 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-07-10 20:25:00 UTC
soundkonverter-2.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/soundkonverter-2.1.1-2.fc20

Comment 15 Fedora Update System 2014-07-10 20:25:06 UTC
soundkonverter-2.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/soundkonverter-2.1.1-2.fc19

Comment 16 Fedora Update System 2014-07-10 20:25:12 UTC
soundkonverter-2.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/soundkonverter-2.1.1-2.el6

Comment 17 Fedora Update System 2014-07-11 20:39:59 UTC
soundkonverter-2.1.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 18 Fedora Update System 2014-07-20 03:24:03 UTC
soundkonverter-2.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-07-20 03:26:09 UTC
soundkonverter-2.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.